The Version object is utilized to inform the client of the versions of different components of the Rosetta implementation.

export
interface

  RosettaNetworkOptionsResponseVersion

### Hierarchy

- RosettaNetworkOptionsResponseVersion

## Index

### Properties

- metadata
- middleware_version
- node_version
- rosetta_version

## Properties

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaNetworkOptionsResponseVersion.ts:45

Any other information that may be useful about versioning of dependent services should be returned here.

memberof

  RosettaNetworkOptionsResponseVersion

### Optional middleware_version

middleware_version: string

- Defined in src/generated/models/RosettaNetworkOptionsResponseVersion.ts:39

When a middleware server is used to adhere to the Rosetta interface, it should return its version here. This can help clients manage deployments.

memberof

  RosettaNetworkOptionsResponseVersion

### node_version

node_version: string

- Defined in src/generated/models/RosettaNetworkOptionsResponseVersion.ts:33

The node_version is the canonical version of the node runtime. This can help clients manage deployments.

memberof

  RosettaNetworkOptionsResponseVersion

### rosetta_version

rosetta_version: string

- Defined in src/generated/models/RosettaNetworkOptionsResponseVersion.ts:27

The rosetta_version is the version of the Rosetta interface the implementation adheres to. This can be useful for clients looking to reliably parse responses.

memberof

  RosettaNetworkOptionsResponseVersion

Generated using TypeDoc